Build #2 for imperative-edsl-vhdl-0.3.2

[all reports]

Package imperative-edsl-vhdl-0.3.2
Install BuildFailed
Docs NotTried
Tests NotTried
Time submitted 2016-11-29 12:02:13.449176 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies base-4.9.0.0, bytestring-0.10.8.1, constraints-0.8, containers-0.5.7.1, language-vhdl-0.1.2.8, mtl-2.2.1, operational-alacarte-0.3, pretty-1.1.3.3, syntactic-3.6.2
Flags none

Code Coverage

No Code Coverage was submitted for this report.

Build log

[view raw]

Resolving dependencies...
Configuring data-hash-0.2.0.1...
Configuring language-vhdl-0.1.2.8...
Building language-vhdl-0.1.2.8...
Building data-hash-0.2.0.1...
Installed data-hash-0.2.0.1
Configuring mtl-2.2.1...
Building mtl-2.2.1...
Configuring syb-0.6...
Installed mtl-2.2.1
Building syb-0.6...
Configuring text-1.2.2.1...
Installed syb-0.6
Building text-1.2.2.1...
Configuring transformers-compat-0.5.1.4...
Installed language-vhdl-0.1.2.8
Building transformers-compat-0.5.1.4...
Installed transformers-compat-0.5.1.4
Configuring operational-alacarte-0.3...
Building operational-alacarte-0.3...
Configuring tree-view-0.5...
Installed operational-alacarte-0.3
Building tree-view-0.5...
Installed tree-view-0.5
Installed text-1.2.2.1
Configuring hashable-1.2.4.0...
Building hashable-1.2.4.0...
Installed hashable-1.2.4.0
Configuring constraints-0.8...
Building constraints-0.8...
Installed constraints-0.8
Configuring syntactic-3.6.2...
Building syntactic-3.6.2...
Installed syntactic-3.6.2
Configuring imperative-edsl-vhdl-0.3.2...
Building imperative-edsl-vhdl-0.3.2...
Failed to install imperative-edsl-vhdl-0.3.2
Build log ( /home/builder/.cabal/logs/imperative-edsl-vhdl-0.3.2.log ):
cabal: Entering directory '/tmp/cabal-tmp-30804/imperative-edsl-vhdl-0.3.2'
Configuring imperative-edsl-vhdl-0.3.2...
Building imperative-edsl-vhdl-0.3.2...
Preprocessing library imperative-edsl-vhdl-0.3.2...
[1 of 9] Compiling Language.Embedded.VHDL.Expression.Hoist ( src/Language/Embedded/VHDL/Expression/Hoist.hs, dist/build/Language/Embedded/VHDL/Expression/Hoist.o )
[2 of 9] Compiling Language.Embedded.VHDL.Monad.Expression ( src/Language/Embedded/VHDL/Monad/Expression.hs, dist/build/Language/Embedded/VHDL/Monad/Expression.o )
[3 of 9] Compiling Language.Embedded.VHDL.Monad.Type ( src/Language/Embedded/VHDL/Monad/Type.hs, dist/build/Language/Embedded/VHDL/Monad/Type.o )
[4 of 9] Compiling Language.Embedded.VHDL.Monad ( src/Language/Embedded/VHDL/Monad.hs, dist/build/Language/Embedded/VHDL/Monad.o )
[5 of 9] Compiling Language.Embedded.VHDL.Expression.Represent ( src/Language/Embedded/VHDL/Expression/Represent.hs, dist/build/Language/Embedded/VHDL/Expression/Represent.o )
[6 of 9] Compiling Language.Embedded.VHDL.Interface ( src/Language/Embedded/VHDL/Interface.hs, dist/build/Language/Embedded/VHDL/Interface.o )
[7 of 9] Compiling Language.Embedded.VHDL.Expression ( src/Language/Embedded/VHDL/Expression.hs, dist/build/Language/Embedded/VHDL/Expression.o )

src/Language/Embedded/VHDL/Expression.hs:397:14: error:
    Not in scope: data constructor ‘Sel1’

src/Language/Embedded/VHDL/Expression.hs:398:14: error:
    Not in scope: data constructor ‘Sel2’

src/Language/Embedded/VHDL/Expression.hs:399:14: error:
    Not in scope: data constructor ‘Sel3’

src/Language/Embedded/VHDL/Expression.hs:400:14: error:
    Not in scope: data constructor ‘Sel4’
cabal: Leaving directory '/tmp/cabal-tmp-30804/imperative-edsl-vhdl-0.3.2'
cabal: Error: some packages failed to install:
imperative-edsl-vhdl-0.3.2 failed during the building phase. The exception
was:
ExitFailure 1